<?php
/**
 * Plugin Name: Expert Bitpay Gateway For LifterLMS
 * Plugin URI: https://wordpress.org/plugins/expert-bitpay-gateway-for-lifterlms
 * Description: Accept Crypto payments in LifterLMS via Bitpay.
 * Version: 1.0
 * Author: Muhammed Owais
 * Author URI: https://profiles.wordpress.org/muhammedowais2013/
 * Text Domain: expert-bitpay-gateway-lifterlms
 * Domain Path: /languages
 * Requires at least: 4.8
 * Tested up to: 6.0.1
 */

defined( 'ABSPATH' ) || exit;

if ( ! defined( 'EXPRTZIN_BITPAY_LLMS_VERSION' ) ) {
	define( 'EXPRTZIN_BITPAY_LLMS_VERSION', '1.0' );
}

if ( ! defined( 'EXPRTZIN_BITPAY_LLMS_FILE' ) ) {
	define( 'EXPRTZIN_BITPAY_LLMS_FILE', __FILE__ );
}

if ( ! defined( 'EXPRTZIN_BITPAY_LLMS_DIR' ) ) {
	define( 'EXPRTZIN_BITPAY_LLMS_DIR', dirname( EXPRTZIN_BITPAY_LLMS_FILE ) . '/' );
}

if ( ! class_exists( 'ExprtzIN_Bitpay_Llms' ) ) {
	require_once EXPRTZIN_BITPAY_LLMS_DIR . 'class-exprtzin-bitpay-llms.php';
}

function exprtzin_bitpay_llms() {
	return ExprtzIN_Bitpay_Llms::instance();
}
add_action( 'lifterlms_init', 'exprtzin_bitpay_llms');
